Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 1 of 1
  1. #1
    Join Date
    Feb 2007
    Posts
    1,198

    Default Open-Xchange releases Open-Xchange v6.22

    Open-Xchange releases Open-Xchange v6.22

    Open-Xchange is pleased to announce the release of Open-Xchange Server v6.22.

    This update includes new versions of:

    • Open-Xchange Server 6 (OX6), the common basis for OX HE (Hosting Edition), OX SE (Server Edition)
    • OXtender 2 for Microsoft Outlook
    • Support is discontinued for the following OXtenders: OXtender 1 for Microsoft Outlook and OXtender for SyncML

    Open-Xchange Server v6.22 is the first step on the way to the next generation Open-Xchange OX App Suite (Server 7). This update provides a new and improved Open-Xchange Server backend with enhancements for both generations.

    Open-Xchange has implemented various backend changes and improvements, for example, a new clear and logical structure for the configuration files and packages, an improved exception framework, a unified OSGi, etc.

    The execution of changes is mostly automated, but administrators will need to make some manual changes. Open-Xchange has provided a special Update Page on the Knowledge Base with all necessary information. There is also a complete overview document to assist you in making a successful update to this new major version:

    http://oxpedia.org/wiki/index.php?title=Update_to_6_22

    Please note the following additional information:

    • The update to v6.22 is only supported from an installed version 6.20.7 or later. If you have an earlier version of Open-Xchange Server 6 installed, please update to the latest release of v6.20 before attempting an update to v6.22.
    • Default Installation of languages. With the update to 6.22 it is possible to define which languages which will be displayed in the user interface. Only English will be installed by default. All other languages must be installed manually and will then appear in the user interface.
    • Custom Packages. Unfortunately custom packages will not be ready with 6.22 Release. If you have custom packages provided by Open-Xchange, please discuss with your Open-Xchange contact when these packages will be available for 6.22. If you have built custom packages yourself which install config files in the OX config tree, please check the v6.22 Packaging Changes page: http://oxpedia.org/wiki/index.php?ti...kaging_Changes
    • Custom Plugins. If you have custom plugins written by yourself which depend on Open-Xchange Server OSGI bundles please check the v6.22 Packaging Changes page (http://oxpedia.org/wiki/index.php?ti...kaging_Changes) and v6.22 Necessary Code Changes (http://oxpedia.org/wiki/index.php?ti...y_Code_Changes) to determine which changes may be necessary.
    • Parallels Operation Automation. Official Support for Parallels Operations Automation for Open-Xchange will be provided with the next minor release scheduled for mid/end of Q4 2012.
    • Support of Apple iOS Open-Xchange Calendar synchronization with CalDAV. With v6.22, Open-Xchange provides official support for Open-Xchange Calendar synchronization with CalDAV for Apple iOS version.

    In addition to the backend changes Open-Xchange has discontinued the following:

    • - OXtender 1 for Microsoft Outlook - Open-Xchange will discontinue support for OXtender 1 for Microsoft Outlook with the release v6.22. In addition the Open-Xchange WebDAV XML API will no longer be officially supported. Open-Xchange provides an automatic upgrade path to the OXtender 2 for Microsoft Outlook which is documented at http://oxpedia.org/wiki/index.php?title=OLOX_Migration
    • OXtender for SyncML - Open-Xchange will discontinue support for OXtender for SyncML with the release of v6.22. OXtender for SyncML was a server-side plugin based on the Open-Xchange USM synchronization framework. For further synchronization of mobile devices, the OXtender for Business Mobility is still available.
    • Open-Xchange servlet for external login masks - Open-Xchange will discontinue the support of the open-xchange-easylogin package, which provides a servlet which expects a user name and password via HTTP GET or POST. Please use the new implemented function of HTTP API, to create a session from external. The new machinsm is described at http://oxpedia.org/wiki/index.php?ti...al_login_masks
    • Open-Xchange will discontinue support for Red Hat Enterprise Linux 5 and CentOS 5 with the next minor release, mid Q4 2012. As users of RHEL 5 and CentOS 5 we encourage you to plan an update to the latest operating system versions.

    Shipped packages and versions:

    Open-Xchange Server 6 (OX6)
    Version: Open-Xchange Server 6 (Version: v6.22.0 Rev 5 built 2012-10-10)

    The version number is the same for the groupware server and the groupware front-end.
    When reporting bugs, please make sure to include this version number in your bug report.
    The version number can be found in:
    a) the Login dialog
    b) the about dialog (Question mark icon in the upper right -> About)

    OXtender 2 for MS Outlook
    Version: OXtender for Microsoft Outlook 2 (Version: 7.0.57)
    When reporting bugs, please include the version number in your bug report. The version number can be found in:
    a) The splash screen when starting Outlook
    b) Extras -> OXtender for MS Outlook -> About

    Complete Release Notes: http://software.open-xchange.com/OX6...es-v6.22.0.pdf

    Update to v6.22 and Installation of Open-Xchange v6.22 (Hosting Edition & Server Edition):
    Please follow the instructions given at http://oxpedia.org/wiki/index.php?title=Update_to_6_22 to install the updates.
    Last edited by Karl-Heinz Grasser; 02-28-2013 at 11:21 AM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •